Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xmltorng.i2s
Class PatternCategoryFactory

    java.lang.Object
      xmltorng.i2s.PatternCategoryFactory

    public abstract class PatternCategoryFactory

extends java.lang.Object

Constructor Summary
`PatternCategoryFactory()`

Method Summary
`static PatternCategory` | `addPatternToPatternCategory(PatternCategory patternCategory, Name[] attributeNames, boolean hasText, RepeatableName[] contentRepeatableNames)`
`static PatternCategory` | `createPatternCategory(Name[] attributeNames, boolean hasText, RepeatableName[] contentRepeatableNames)`
`static PatternCategory` | `generalizePatternCategory(PatternCategory patternCategory)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PatternCategoryFactory

    public PatternCategoryFactory()

Method Detail

### createPatternCategory

    public static final PatternCategory createPatternCategory(Name[] attributeNames,
                                                              boolean hasText,
                                                              RepeatableName[] contentRepeatableNames)

### generalizePatternCategory

    public static final PatternCategory generalizePatternCategory(PatternCategory patternCategory)

### addPatternToPatternCategory

    public static final PatternCategory addPatternToPatternCategory(PatternCategory patternCategory,
                                                                    Name[] attributeNames,
                                                                    boolean hasText,
                                                                    RepeatableName[] contentRepeatableNames)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD